=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-06-19 19:28:16 +0000
+++ loggerhead/apps/branch.py	2008-06-23 22:22:01 +0000
@@ -13,7 +13,6 @@
 from loggerhead.controllers.revision_ui import RevisionUI
 from loggerhead.controllers.atom_ui import AtomUI
 from loggerhead.controllers.download_ui import DownloadUI
-from loggerhead.controllers.bundle_ui import BundleUI
 from loggerhead.history import History
 from loggerhead import util
 
@@ -66,7 +65,6 @@
         'revision': RevisionUI,
         'download': DownloadUI,
         'atom': AtomUI,
-        'bundle': BundleUI,
         }
 
     def last_updated(self):

=== removed file 'loggerhead/controllers/bundle_ui.py'
--- loggerhead/controllers/bundle_ui.py	2008-06-18 06:34:10 +0000
+++ loggerhead/controllers/bundle_ui.py	1970-01-01 00:00:00 +0000
@@ -1,64 +0,0 @@
-#
-# Copyright (C) 2006  Robey Pointer <robey@lag.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-import time
-
-from paste import httpexceptions
-from paste.request import path_info_pop
-
-
-class BundleUI (object):
-
-    def __init__(self, branch):
-        # BranchView object
-        self._branch = branch
-        self.log = branch.log
-
-    def default(self, request, response):
-        # /bundle/<rev_id>/[<compare_rev_id>/]filename
-        z = time.time()
-        h = self._branch.history
-
-        h._branch.lock_read()
-        try:
-            args = []
-            while 1:
-                arg = path_info_pop(request.environ)
-                if arg is None:
-                    break
-                args.append(arg)
-            if len(args) < 1:
-                raise httpexceptions.HTTPMovedPermanently('../changes')
-            revid = h.fix_revid(args[0])
-            if len(args) >= 3:
-                compare_revid = h.fix_revid(args[1])
-            else:
-                compare_revid = None
-
-            try:
-                bundle_data = h.get_bundle(revid, compare_revid)
-            except:
-                self.log.exception('Exception fetching bundle')
-                raise httpexceptions.HTTPServerError('Could not fetch bundle')
-
-            response.headers['Content-Type'] = 'application/octet-stream'
-            response.headers['Content-Length'] = len(bundle_data)
-            response.write(bundle_data)
-            self.log.info('/bundle: %r seconds' % (time.time() - z,))
-        finally:
-            h._branch.unlock()

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-06-23 18:06:26 +0000
+++ loggerhead/history.py	2008-06-24 14:49:59 +0000
@@ -40,7 +40,6 @@
 
 import bzrlib
 import bzrlib.branch
-import bzrlib.bundle.serializer
 import bzrlib.diff
 import bzrlib.errors
 import bzrlib.progress
@@ -929,15 +928,3 @@
             lineno += 1
 
         self.log.debug('annotate: %r secs' % (time.time() - z,))
-
-    @with_branch_lock
-    def get_bundle(self, revid, compare_revid=None):
-        if compare_revid is None:
-            parents = self._revision_graph[revid]
-            if len(parents) > 0:
-                compare_revid = parents[0]
-            else:
-                compare_revid = None
-        s = StringIO()
-        bzrlib.bundle.serializer.write_bundle(self._branch.repository, revid, compare_revid, s)
-        return s.getvalue()

